> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integration

> Gets the integration data formatted for the specified integration.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/integrations/{name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/integrations/{name}:
    get:
      tags:
        - integrations
      summary: Get Integration
      description: Gets the integration data formatted for the specified integration.
      operationId: get_integration_v2_integrations__name__get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/IntegrationName'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/AwsBedrockIntegration'
                  - $ref: '#/components/schemas/AwsSageMakerIntegration'
                  - $ref: '#/components/schemas/AzureIntegration'
                  - $ref: '#/components/schemas/AnthropicIntegration'
                  - $ref: '#/components/schemas/CustomIntegration'
                  - $ref: '#/components/schemas/DatabricksIntegration'
                  - $ref: '#/components/schemas/MistralIntegration'
                  - $ref: '#/components/schemas/NvidiaIntegration'
                  - $ref: '#/components/schemas/OpenAIIntegration'
                  - $ref: '#/components/schemas/VegasGatewayIntegration'
                  - $ref: '#/components/schemas/VertexAIIntegration'
                  - $ref: '#/components/schemas/WriterIntegration'
                discriminator:
                  propertyName: name
                  mapping:
                    aws_bedrock:
                      $ref: '#/components/schemas/AwsBedrockIntegration'
                    aws_sagemaker:
                      $ref: '#/components/schemas/AwsSageMakerIntegration'
                    azure:
                      $ref: '#/components/schemas/AzureIntegration'
                    anthropic:
                      $ref: '#/components/schemas/AnthropicIntegration'
                    custom:
                      $ref: '#/components/schemas/CustomIntegration'
                    databricks:
                      $ref: '#/components/schemas/DatabricksIntegration'
                    mistral:
                      $ref: '#/components/schemas/MistralIntegration'
                    nvidia:
                      $ref: '#/components/schemas/NvidiaIntegration'
                    openai:
                      $ref: '#/components/schemas/OpenAIIntegration'
                    vegas_gateway:
                      $ref: '#/components/schemas/VegasGatewayIntegration'
                    vertex_ai:
                      $ref: '#/components/schemas/VertexAIIntegration'
                    writer:
                      $ref: '#/components/schemas/WriterIntegration'
                title: Response Get Integration V2 Integrations  Name  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    IntegrationName:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: IntegrationName
    AwsBedrockIntegration:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        credential_type:
          $ref: '#/components/schemas/AwsCredentialType'
          default: key_secret
        region:
          type: string
          title: Region
          default: us-west-2
        inference_profiles:
          additionalProperties:
            type: string
          type: object
          title: Inference Profiles
          description: >-
            Mapping from model name (Foundation model ID) to inference profile
            ARN or ID
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: aws_bedrock
          title: Name
          default: aws_bedrock
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: AwsBedrockIntegration
    AwsSageMakerIntegration:
      properties:
        credential_type:
          $ref: '#/components/schemas/AwsCredentialType'
          default: key_secret
        region:
          type: string
          title: Region
          default: us-west-2
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        models:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Models
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: aws_sagemaker
          title: Name
          default: aws_sagemaker
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: AwsSageMakerIntegration
    AzureIntegration:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        proxy:
          type: boolean
          title: Proxy
          default: false
        endpoint:
          type: string
          title: Endpoint
        api_version:
          type: string
          title: Api Version
          default: 2025-03-01-preview
        azure_deployment:
          anyOf:
            - type: string
            - type: 'null'
          title: Azure Deployment
        authentication_type:
          $ref: '#/components/schemas/AzureAuthenticationType'
          default: api_key
        authentication_scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Authentication Scope
        default_headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Default Headers
        deployments:
          additionalProperties:
            type: string
          type: object
          title: Deployments
        oauth2_token_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Oauth2 Token Url
          description: OAuth2 token URL for custom OAuth2 authentication
        custom_header_mapping:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Custom Header Mapping
          description: >-
            Custom header mapping from internal fields to be included in the LLM
            request.
        available_deployments:
          anyOf:
            - items:
                $ref: '#/components/schemas/AzureModelDeployment'
              type: array
            - type: 'null'
          title: Available Deployments
          description: >-
            The available deployments for this integration. If provided, we will
            not try to get this list from Azure.
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: azure
          title: Name
          default: azure
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      required:
        - endpoint
      title: AzureIntegration
    AnthropicIntegration:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        authentication_type:
          $ref: '#/components/schemas/AnthropicAuthenticationType'
          default: api_key
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
          description: Custom base URL for the Anthropic API. Required if `proxy` is True.
        authentication_scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Authentication Scope
        oauth2_token_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Oauth2 Token Url
          description: OAuth2 token URL for custom OAuth2 authentication
        custom_header_mapping:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Custom Header Mapping
          description: >-
            Custom header mapping from internal fields to be included in the LLM
            request.
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: anthropic
          title: Name
          default: anthropic
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: AnthropicIntegration
    CustomIntegration:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        authentication_type:
          $ref: '#/components/schemas/CustomAuthenticationType'
          default: oauth2
        models:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Models
          description: >-
            List of model names for the custom integration. Deprecated: use
            model_properties instead.
        model_properties:
          anyOf:
            - items:
                $ref: '#/components/schemas/ModelProperties'
              type: array
            - type: 'null'
          title: Model Properties
          description: >-
            List of model properties with name and alias for the custom
            integration.
        is_legacy_format:
          type: boolean
          title: Is Legacy Format
          description: >-
            Internal: whether this config was created from the legacy 'models'
            field.
          default: false
        default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model
          description: Default model to use. If not provided, defaults to the first model.
        base_url:
          type: string
          title: Base Url
          description: Endpoint URL for the custom integration.
        authentication_scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Authentication Scope
          description: Optional scope for OAuth2 authentication.
        oauth2_token_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Oauth2 Token Url
          description: >-
            OAuth2 token URL for custom OAuth2 authentication. If not provided,
            defaults to the endpoint.
        api_key_header:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Header
          description: >-
            HTTP header name to use for API key authentication (e.g.,
            'X-API-Key', 'Authorization').
        api_key_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Value
          description: API key value to send in the specified header for authentication.
        custom_llm_config:
          anyOf:
            - $ref: '#/components/schemas/CustomLLMConfig'
            - type: 'null'
          description: >-
            Optional configuration for a custom LiteLLM handler class. When
            specified, the handler's acompletion() method is used instead of the
            default litellm.acompletion().
        custom_header_mapping:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Custom Header Mapping
          description: >-
            Custom header mapping from internal fields (job_id, user_id,
            project_id, run_id) to custom header names to be included in LLM
            requests.
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: custom
          title: Name
          default: custom
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      required:
        - base_url
      title: CustomIntegration
      description: >-
        Read model for custom integrations.


        api_key_value is not stored in extra (it's encrypted in the token
        column),

        so we override the parent validator to skip requiring it on read.

        Headers are not returned on read (they're encrypted and sensitive).
    DatabricksIntegration:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: databricks
          title: Name
          default: databricks
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: DatabricksIntegration
    MistralIntegration:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: mistral
          title: Name
          default: mistral
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: MistralIntegration
    NvidiaIntegration:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: nvidia
          title: Name
          default: nvidia
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: NvidiaIntegration
    OpenAIIntegration:
      properties:
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: openai
          title: Name
          default: openai
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: OpenAIIntegration
    VegasGatewayIntegration:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: vegas_gateway
          title: Name
          default: vegas_gateway
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: VegasGatewayIntegration
    VertexAIIntegration:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        gcs_config:
          anyOf:
            - $ref: '#/components/schemas/VertexAIGCSConfigResponse'
            - type: 'null'
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: vertex_ai
          title: Name
          default: vertex_ai
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      title: VertexAIIntegration
    WriterIntegration:
      properties:
        organization_id:
          type: string
          title: Organization Id
        id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Id
        name:
          type: string
          const: writer
          title: Name
          default: writer
        extra:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra
      type: object
      required:
        - organization_id
      title: WriterIntegration
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MultiModalModelIntegrationConfig:
      properties:
        max_files:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Max Files
          description: Maximum number of files allowed per request. None means no limit.
        max_file_size_bytes:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Max File Size Bytes
          description: Maximum file size in bytes per file. None means no limit.
      type: object
      title: MultiModalModelIntegrationConfig
      description: Configuration for multi-modal capabilities (file uploads).
    AwsCredentialType:
      type: string
      enum:
        - assumed_role
        - key_secret
      title: AwsCredentialType
    Model:
      properties:
        name:
          type: string
          title: Name
        alias:
          type: string
          title: Alias
        integration:
          $ref: '#/components/schemas/LLMIntegration'
          default: openai
        user_role:
          anyOf:
            - type: string
            - type: 'null'
          title: User Role
        assistant_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistant Role
        system_supported:
          type: boolean
          title: System Supported
          default: false
        input_modalities:
          items:
            $ref: '#/components/schemas/ContentModality'
          type: array
          title: Input Modalities
          description: Input modalities that the model can accept.
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          description: >-
            Alternative names for the model, used for matching with various
            current, versioned or legacy names.
        input_token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Input Token Limit
        output_token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Output Token Limit
        token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Token Limit
        output_price:
          type: number
          title: Output Price
          default: 0
        input_price:
          type: number
          title: Input Price
          default: 0
        cost_by:
          $ref: '#/components/schemas/ModelCostBy'
          default: tokens
        is_chat:
          type: boolean
          title: Is Chat
          default: false
        provides_log_probs:
          type: boolean
          title: Provides Log Probs
          default: false
        formatting_tokens:
          type: integer
          title: Formatting Tokens
          default: 0
        response_prefix_tokens:
          type: integer
          title: Response Prefix Tokens
          default: 0
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        legacy_mistral_prompt_format:
          type: boolean
          title: Legacy Mistral Prompt Format
          default: false
        requires_max_tokens:
          type: boolean
          title: Requires Max Tokens
          default: false
        max_top_p:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Top P
        params_map:
          $ref: '#/components/schemas/RunParamsMap'
        output_map:
          anyOf:
            - $ref: '#/components/schemas/OutputMap'
            - type: 'null'
        input_map:
          anyOf:
            - $ref: '#/components/schemas/InputMap'
            - type: 'null'
      type: object
      required:
        - name
        - alias
      title: Model
    AzureAuthenticationType:
      type: string
      enum:
        - api_key
        - client_secret
        - username_password
        - custom_oauth2
      title: AzureAuthenticationType
    AzureModelDeployment:
      properties:
        model:
          type: string
          title: Model
          description: The name of the model.
        id:
          type: string
          title: Id
          description: The ID of the deployment.
      type: object
      required:
        - model
        - id
      title: AzureModelDeployment
    AnthropicAuthenticationType:
      type: string
      enum:
        - api_key
        - custom_oauth2
      title: AnthropicAuthenticationType
    CustomAuthenticationType:
      type: string
      enum:
        - api_key
        - none
        - oauth2
      title: CustomAuthenticationType
      description: |-
        Authentication types for custom integrations.

        Values:
        - none: No authentication required
        - oauth2: OAuth2 token-based authentication
        - api_key: API key header-based authentication
    ModelProperties:
      properties:
        name:
          type: string
          title: Name
          description: The model name used when calling the API.
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
          description: The display name/alias for the model. Defaults to name.
        based_on:
          anyOf:
            - type: string
            - type: 'null'
          title: Based On
          description: >-
            Alias of a built-in model whose parameter map should be used. For
            example, 'gpt-5.4'. Mutually exclusive with supported_parameters.
        supported_parameters:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Supported Parameters
          description: >-
            Explicit list of parameter names this model supports (e.g.,
            ['max_tokens', 'temperature', 'verbosity']). Each name must be a
            valid RunParamsMap field. Mutually exclusive with based_on.
      type: object
      required:
        - name
      title: ModelProperties
      description: |-
        Properties for a model in a custom integration.

        Attributes:
            name: The model name used when calling the API.
            alias: The display name/alias for the model in the UI.
                  Defaults to ``name`` when not provided.
            based_on: Alias of a built-in model whose parameter map should be used.
                      Mutually exclusive with ``supported_parameters``.
            supported_parameters: Explicit list of parameter names this model supports.
                                  Mutually exclusive with ``based_on``.
    CustomLLMConfig:
      properties:
        file_name:
          type: string
          title: File Name
          description: >-
            Python file name containing the CustomLLM class (e.g.,
            'my_handler.py')
        class_name:
          type: string
          title: Class Name
          description: Class name within the module (must be a litellm.CustomLLM subclass)
        init_kwargs:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Init Kwargs
          description: Optional keyword arguments to pass to the CustomLLM constructor
      type: object
      required:
        - file_name
        - class_name
      title: CustomLLMConfig
      description: >-
        Configuration for a custom LiteLLM handler class.


        Allows users to specify a custom implementation of litellm.CustomLLM

        that handles acompletion() calls with custom request/response
        transformation.
    VertexAIGCSConfigResponse:
      properties:
        bucket_name:
          type: string
          title: Bucket Name
        object_path_prefix:
          type: string
          title: Object Path Prefix
      type: object
      required:
        - bucket_name
        - object_path_prefix
      title: VertexAIGCSConfigResponse
      description: >-
        GCS config response model — credentials are never exposed in GET
        responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LLMIntegration:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: LLMIntegration
    ContentModality:
      type: string
      enum:
        - text
        - document
        - image
        - audio
        - video
      title: ContentModality
      description: Classification of content modality
    ModelCostBy:
      type: string
      enum:
        - tokens
        - characters
      title: ModelCostBy
    RunParamsMap:
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        temperature:
          anyOf:
            - type: string
            - type: 'null'
          title: Temperature
        max_tokens:
          anyOf:
            - type: string
            - type: 'null'
          title: Max Tokens
        stop_sequences:
          anyOf:
            - type: string
            - type: 'null'
          title: Stop Sequences
        top_p:
          anyOf:
            - type: string
            - type: 'null'
          title: Top P
        top_k:
          anyOf:
            - type: string
            - type: 'null'
          title: Top K
        frequency_penalty:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency Penalty
        presence_penalty:
          anyOf:
            - type: string
            - type: 'null'
          title: Presence Penalty
        echo:
          anyOf:
            - type: string
            - type: 'null'
          title: Echo
        logprobs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logprobs
        top_logprobs:
          anyOf:
            - type: string
            - type: 'null'
          title: Top Logprobs
        'n':
          anyOf:
            - type: string
            - type: 'null'
          title: 'N'
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        tools:
          anyOf:
            - type: string
            - type: 'null'
          title: Tools
        tool_choice:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Choice
        response_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Format
        reasoning_effort:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Effort
        verbosity:
          anyOf:
            - type: string
            - type: 'null'
          title: Verbosity
        deployment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Name
      type: object
      title: RunParamsMap
      description: >-
        Maps the internal settings parameters (left) to the serialized
        parameters (right) we want to send in the API

        requests.
    OutputMap:
      properties:
        response:
          type: string
          title: Response
        token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Count
        input_token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Input Token Count
        output_token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Token Count
        completion_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Completion Reason
      type: object
      required:
        - response
      title: OutputMap
    InputMap:
      properties:
        prompt:
          type: string
          title: Prompt
        prefix:
          type: string
          title: Prefix
          default: ''
        suffix:
          type: string
          title: Suffix
          default: ''
      type: object
      required:
        - prompt
      title: InputMap
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````